# Zoom One - October 24, 2022 import RebrandingAlert from "#content/changelog/_includes/_zoom-one-rebranding-alert.mdx"; ## Added - New **Contact Groups** API - `GET /v2/contacts/groups` - `POST /v2/contacts/groups` - `DELETE /v2/contacts/groups/{groupId}` - `GET /v2/contacts/groups/{groupId}` - `PATCH /v2/contacts/groups/{groupId}` - `DELETE /v2/contacts/groups/{groupId}/members` - `GET /v2/contacts/groups/{groupId}/members` - `POST /v2/contacts/groups/{groupId}/members` - New **List a user’s chat sessions** API - `GET /v2/chat/users/{userId}/sessions` - New **Create a webinar template** API - `POST /v2/users/{userId}/webinar_templates` - New **Meeting** and **Webinar** API for live streaming - `GET /v2/meetings/{meetingId}/jointoken/live_streaming` - `GET /v2/webinars/{webinarId}/jointoken/live_streaming` - New **Delete a Zoom Room user device** API in **Zoom Rooms Devices** section - `DELETE /v2/rooms/{roomId}/devices/{deviceId}` ## Enhancements - New `has_manual_captions`, `has_automated_captions` response fields in **Dashboard** API - `GET /v2/metrics/meetings` - `GET /v2/metrics/meetings/{meetingId}` - `GET /v2/metrics/webinars` - `GET /v2/metrics/webinars/{webinarId}` - New `display_name`, `setup.checkin_and_checkout` fields in **Zoom Room Profile** API - `GET /v2/rooms/{roomId}` - `PATCH /v2/rooms/{roomId}` - New `make_room_alternative_host`, `hide_user_personal_information`, `bypass_meeting_password` fields in **Zoom Room Settings** API - `GET /v2/rooms/{roomId}/settings` - `PATCH /v2/rooms/{roomId}/settings` - Removed account PBX setting check when assigning Zoom One licenses in **Users** API - `POST /v2/users` - `PATCH /v2/users/{userId}` - `POST /v2/users/features` - Converted the rate limit level from `Heavy` to `Medium` for **Chat** API - `GET /v2/report/chat/sessions` - New request field `channel_settings` in **Chat Channels** API - `PATCH /v2/chat/channels/{channelId}` - `PATCH /v2/chat/users/{userId}/channels/{channelId}` - New response field `rich_text` in **Chat Messages** API - `GET /v2/chat/users/{userId}/messages` - `GET /v2/chat/users/{userId}/messages/{messageId}`   - New object `at_items` in **Chat Messages** API - `GET /v2/chat/users/{userId}/messages` - `GET /v2/chat/users/{userId}/messages/{messageId}`   - New response field `files` in the **List user’s chat messages** API when the parameter `include_deleted_and_edited_message` passes `true` - `GET /v2/chat/users/{userId}/messages` - Support for new **Zoom Translation** plans in **Billing** API - `POST /v2/accounts/{accountId}/plans` - `POST /v2/accounts/{accountId}/plans/addons` - `PUT /v2/accounts/{accountId}/plans/addons` - `GET /v2/accounts/{accountId}/plans/usage` - `GET /v2/accounts/{accountId}/plans` - `PATCH /v2/accounts/{accountId}/plans/addons/status` - Support for new **Zoom Workspace Reservation** plans in **Billing** API - `POST /v2/accounts/{accountId}/plans` - `POST /v2/accounts/{accountId}/plans/addons` - `PUT /v2/accounts/{accountId}/plans/addons` - `GET /v2/accounts/{accountId}/plans/usage` - `GET /v2/accounts/{accountId}/plans` - `PATCH /v2/accounts/{accountId}/plans/addons/status` - Support for new **Zoom One Business Plus** plans in **Billing** API - `POST /v2/accounts/{accountId}/plans` - `POST /v2/accounts/{accountId}/plans/addons` - `PUT /v2/accounts/{accountId}/plans/addons` - `GET /v2/accounts/{accountId}/plans/usage` - `GET /v2/accounts/{accountId}/plans` - `PATCH /v2/accounts/{accountId}/plans/addons/status` - Support for new **Zoom Contact Center** plans in **Billing** API - `POST /v2/accounts/{accountId}/plans` - `POST /v2/accounts/{accountId}/plans/addons` - `PUT /v2/accounts/{accountId}/plans/addons` - `GET /v2/accounts/{accountId}/plans/usage` - `GET /v2/accounts/{accountId}/plans` - `PATCH /v2/accounts/{accountId}/plans/addons/status` - Support for creating or updating reservations up to 6 months in the future in **Workspaces** API - `POST /v2/workspaces/{workspaceId}/reservations` - `PATCH /v2/workspaces/{workspaceId}/reservations/{reservationId}` - Extended the reservation query period from 7 to 14 days in the **Get workspace reservations** API - `GET /v2/workspaces/{workspaceId}/reservations` - New `zoom_customer_managed_key` field in **Users** settings API - `GET /v2/users/{userId}/settings` - `PATCH /v2/users/{userId}/settings` - Support for cross-cluster assignment of webinar licenses in the **Update user settings** API - `PATCH /v2/users/{userId}/settings` - Added `smart_recording`, `create_recording_highlights`, `create_smart_chapters`, `create_next_steps` and `require_answers_to_be_anonymous` fields and deprecated `recording_highlight` in **Users**, **Accounts** and **Groups** settings API and webhook events - `GET /v2/users/{userId}/settings` - `PATCH /v2/users/{userId}/settings` - `GET /v2/accounts/{accountId}/settings` - `PATCH /v2/accounts/{accountId}/settings` - `GET /v2/groups/{groupId}/settings` - `PATCH /v2/groups/{groupId}/settings` - `account.settings_updated` - `group.settings_updated` - `user.settings_updated` - Added a new field `os` to the **Meeting Device Tested** webhook event - `meeting.device_tested` - Added a new status value (`Busy`) to the `presence_status` field in the **User’s presence status has been updated** webhook event: - `user.presence_status_updated` ## Bug Fixes - Fixed a bug where the **Create users** API returns an incorrect user type value if the create method is SSO - `POST /v2/users` - Fixed a bug so the **Get meeting/webinar participant QoS** API no longer returns a useless blank QoS json object in the **Dashboard** API - `GET /v2/metrics/meetings/{meetingId}/participants/{participantId}/qos` - `GET /v2/metrics/webinars/{webinarId}/participants/{participantId}/qos` - Fixed a bug that prevented creating simulive webinars with the deleted recording in **Create a webinar** API - `POST /v2/users/{userId}/webinars` - Fixed the query range for upcoming events in the **Get upcoming events reports** API - `GET /v2/report/upcoming_events` - Fixed a bug that made it impossible to recover deleted meetings using the **Update meeting status** API and an OAuth token - `PUT /v2/meetings/{meetingId}/status`